UserLogEvent.EventType (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapreduce.server.tasktracker.userlogs
Enum UserLogEvent.EventType

    java.lang.Object
      java.lang.Enum<UserLogEvent.EventType>
          org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent.EventType

All Implemented Interfaces:
  Serializable, Comparable<UserLogEvent.EventType>

Enclosing class:
  UserLogEvent

    public static enum UserLogEvent.EventType

extends Enum<UserLogEvent.EventType>

Enum Constant Summary
`DELETE_JOB`
`JOB_COMPLETED`
`JOB_STARTED`
`JVM_FINISHED`

Method Summary
`static UserLogEvent.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UserLogEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JVM_FINISHED

    public static final UserLogEvent.EventType JVM_FINISHED

### JOB_STARTED

    public static final UserLogEvent.EventType JOB_STARTED

### JOB_COMPLETED

    public static final UserLogEvent.EventType JOB_COMPLETED

### DELETE_JOB

    public static final UserLogEvent.EventType DELETE_JOB

Method Detail

### values

    public static UserLogEvent.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UserLogEvent.EventType c : UserLogEvent.EventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UserLogEvent.EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation